diff --git a/testing/mozbase/mozhttpd/tests/api.py b/testing/mozbase/mozhttpd/tests/api.py
index b785ac5ef7..82a03a46b5 100644
--- a/testing/mozbase/mozhttpd/tests/api.py
+++ b/testing/mozbase/mozhttpd/tests/api.py
@@ -6,7 +6,7 @@
 
 import mozfile
 import mozhttpd
-import urllib2
+import six.moves.urllib.request, six.moves.urllib.error, six.moves.urllib.parse
 import os
 import unittest
 import json
@@ -42,7 +42,7 @@ class ApiTest(unittest.TestCase):
                       'query': request.query})
 
     def get_url(self, path, server_port, querystr):
-        url = "http://127.0.0.1:%s%s" % (server_port, path)
+        url = "http://127.0.0.1:{}{}".format(server_port, path)
         if querystr:
             url += "?%s" % querystr
         return url
@@ -50,7 +50,7 @@ class ApiTest(unittest.TestCase):
     def try_get(self, server_port, querystr):
         self.resource_get_called = 0
 
-        f = urllib2.urlopen(self.get_url('/api/resource/1', server_port, querystr))
+        f = six.moves.urllib.request.urlopen(self.get_url('/api/resource/1', server_port, querystr))
         try:
             self.assertEqual(f.getcode(), 200)
         except AttributeError:
@@ -63,9 +63,9 @@ class ApiTest(unittest.TestCase):
 
         postdata = {'hamburgers': '1234'}
         try:
-            f = urllib2.urlopen(self.get_url('/api/resource/', server_port, querystr),
+            f = six.moves.urllib.request.urlopen(self.get_url('/api/resource/', server_port, querystr),
                                 data=json.dumps(postdata))
-        except urllib2.HTTPError as e:
+        except six.moves.urllib.error.HTTPError as e:
             # python 2.4
             self.assertEqual(e.code, 201)
             body = e.fp.read()
@@ -80,8 +80,8 @@ class ApiTest(unittest.TestCase):
     def try_del(self, server_port, querystr):
         self.resource_del_called = 0
 
-        opener = urllib2.build_opener(urllib2.HTTPHandler)
-        request = urllib2.Request(self.get_url('/api/resource/1', server_port, querystr))
+        opener = six.moves.urllib.request.build_opener(six.moves.urllib.request.HTTPHandler)
+        request = six.moves.urllib.request.Request(self.get_url('/api/resource/1', server_port, querystr))
         request.get_method = lambda: 'DEL'
         f = opener.open(request)
 
@@ -123,8 +123,8 @@ class ApiTest(unittest.TestCase):
         # GET: By default we don't serve any files if we just define an API
         exception_thrown = False
         try:
-            urllib2.urlopen(self.get_url('/', server_port, None))
-        except urllib2.HTTPError as e:
+            six.moves.urllib.request.urlopen(self.get_url('/', server_port, None))
+        except six.moves.urllib.error.HTTPError as e:
             self.assertEqual(e.code, 404)
             exception_thrown = True
         self.assertTrue(exception_thrown)
@@ -139,8 +139,8 @@ class ApiTest(unittest.TestCase):
         # GET: Return 404 for non-existent endpoint
         exception_thrown = False
         try:
-            urllib2.urlopen(self.get_url('/api/resource/', server_port, None))
-        except urllib2.HTTPError as e:
+            six.moves.urllib.request.urlopen(self.get_url('/api/resource/', server_port, None))
+        except six.moves.urllib.error.HTTPError as e:
             self.assertEqual(e.code, 404)
             exception_thrown = True
         self.assertTrue(exception_thrown)
@@ -148,9 +148,9 @@ class ApiTest(unittest.TestCase):
         # POST: POST should also return 404
         exception_thrown = False
         try:
-            urllib2.urlopen(self.get_url('/api/resource/', server_port, None),
+            six.moves.urllib.request.urlopen(self.get_url('/api/resource/', server_port, None),
                             data=json.dumps({}))
-        except urllib2.HTTPError as e:
+        except six.moves.urllib.error.HTTPError as e:
             self.assertEqual(e.code, 404)
             exception_thrown = True
         self.assertTrue(exception_thrown)
@@ -158,12 +158,12 @@ class ApiTest(unittest.TestCase):
         # DEL: DEL should also return 404
         exception_thrown = False
         try:
-            opener = urllib2.build_opener(urllib2.HTTPHandler)
-            request = urllib2.Request(self.get_url('/api/resource/', server_port,
+            opener = six.moves.urllib.request.build_opener(six.moves.urllib.request.HTTPHandler)
+            request = six.moves.urllib.request.Request(self.get_url('/api/resource/', server_port,
                                                    None))
             request.get_method = lambda: 'DEL'
             opener.open(request)
-        except urllib2.HTTPError:
+        except six.moves.urllib.error.HTTPError:
             self.assertEqual(e.code, 404)
             exception_thrown = True
         self.assertTrue(exception_thrown)
@@ -177,7 +177,7 @@ class ApiTest(unittest.TestCase):
         server_port = httpd.httpd.server_port
 
         # We defined a docroot, so we expect a directory listing
-        f = urllib2.urlopen(self.get_url('/', server_port, None))
+        f = six.moves.urllib.request.urlopen(self.get_url('/', server_port, None))
         try:
             self.assertEqual(f.getcode(), 200)
         except AttributeError:
@@ -193,7 +193,7 @@ class ProxyTest(unittest.TestCase):
 
     def tearDown(self):
         # reset proxy opener in case it changed
-        urllib2.install_opener(None)
+        six.moves.urllib.request.install_opener(None)
 
     def test_proxy(self):
         docroot = tempfile.mkdtemp()
@@ -207,7 +207,7 @@ class ProxyTest(unittest.TestCase):
 
         def index_contents(host): return '%s index' % host
 
-        index = file(os.path.join(docroot, index_filename), 'w')
+        index = open(os.path.join(docroot, index_filename), 'w')
         index.write(index_contents('*'))
         index.close()
 
@@ -215,12 +215,12 @@ class ProxyTest(unittest.TestCase):
         httpd.start(block=False)
         server_port = httpd.httpd.server_port
 
-        proxy_support = urllib2.ProxyHandler({'http': 'http://127.0.0.1:%d' %
+        proxy_support = six.moves.urllib.request.ProxyHandler({'http': 'http://127.0.0.1:%d' %
                                               server_port})
-        urllib2.install_opener(urllib2.build_opener(proxy_support))
+        six.moves.urllib.request.install_opener(six.moves.urllib.request.build_opener(proxy_support))
 
         for host in hosts:
-            f = urllib2.urlopen(url(host))
+            f = six.moves.urllib.request.urlopen(url(host))
             try:
                 self.assertEqual(f.getcode(), 200)
             except AttributeError:
@@ -235,18 +235,18 @@ class ProxyTest(unittest.TestCase):
         httpd.start(block=False)
         server_port = httpd.httpd.server_port
 
-        proxy_support = urllib2.ProxyHandler({'http': 'http://127.0.0.1:%d' %
+        proxy_support = six.moves.urllib.request.ProxyHandler({'http': 'http://127.0.0.1:%d' %
                                               server_port})
-        urllib2.install_opener(urllib2.build_opener(proxy_support))
+        six.moves.urllib.request.install_opener(six.moves.urllib.request.build_opener(proxy_support))
 
         # set up dirs
         for host in hosts:
             os.mkdir(os.path.join(docroot, host))
-            file(os.path.join(docroot, host, index_filename), 'w') \
+            open(os.path.join(docroot, host, index_filename), 'w') \
                 .write(index_contents(host))
 
         for host in hosts:
-            f = urllib2.urlopen(url(host))
+            f = six.moves.urllib.request.urlopen(url(host))
             try:
                 self.assertEqual(f.getcode(), 200)
             except AttributeError:
@@ -255,8 +255,8 @@ class ProxyTest(unittest.TestCase):
 
         exc = None
         try:
-            urllib2.urlopen(url(unproxied_host))
-        except urllib2.HTTPError as e:
+            six.moves.urllib.request.urlopen(url(unproxied_host))
+        except six.moves.urllib.error.HTTPError as e:
             exc = e
         self.assertNotEqual(exc, None)
         self.assertEqual(exc.code, 404)
diff --git a/testing/mozbase/mozhttpd/tests/filelisting.py b/testing/mozbase/mozhttpd/tests/filelisting.py
index 6abea757f2..75b59a70cf 100644
--- a/testing/mozbase/mozhttpd/tests/filelisting.py
+++ b/testing/mozbase/mozhttpd/tests/filelisting.py
@@ -5,7 +5,7 @@
 # You can obtain one at http://mozilla.org/MPL/2.0/.
 
 import mozhttpd
-import urllib2
+import six.moves.urllib.request, six.moves.urllib.error, six.moves.urllib.parse
 import os
 import unittest
 import re
@@ -20,9 +20,9 @@ class FileListingTest(unittest.TestCase):
 
         httpd = mozhttpd.MozHttpd(port=0, docroot=here)
         httpd.start(block=False)
-        f = urllib2.urlopen("http://%s:%s/%s" % ('127.0.0.1', httpd.httpd.server_port, path))
+        f = six.moves.urllib.request.urlopen("http://{}:{}/{}".format('127.0.0.1', httpd.httpd.server_port, path))
         for line in f.readlines():
-            webline = re.sub('\<[a-zA-Z0-9\-\_\.\=\"\'\/\\\%\!\@\#\$\^\&\*\(\) ]*\>',
+            webline = re.sub('\\<[a-zA-Z0-9\\-\\_\\.\\=\"\'\\/\\\\%\\!\\@\\#\\$\\^\\&\\*\\(\\) ]*\\>',
                              '', line.strip('\n')).strip('/').strip().strip('@')
 
             if webline and not webline.startswith("Directory listing for"):
diff --git a/testing/mozbase/mozhttpd/tests/paths.py b/testing/mozbase/mozhttpd/tests/paths.py
index 45ae40144d..e6bde9f3ee 100644
--- a/testing/mozbase/mozhttpd/tests/paths.py
+++ b/testing/mozbase/mozhttpd/tests/paths.py
@@ -7,19 +7,19 @@ from mozfile import TemporaryDirectory
 import mozhttpd
 import os
 import unittest
-import urllib2
+import six.moves.urllib.request, six.moves.urllib.error, six.moves.urllib.parse
 
 
 class PathTest(unittest.TestCase):
 
     def try_get(self, url, expected_contents):
-        f = urllib2.urlopen(url)
+        f = six.moves.urllib.request.urlopen(url)
         self.assertEqual(f.getcode(), 200)
         self.assertEqual(f.read(), expected_contents)
 
     def try_get_expect_404(self, url):
-        with self.assertRaises(urllib2.HTTPError) as cm:
-            urllib2.urlopen(url)
+        with self.assertRaises(six.moves.urllib.error.HTTPError) as cm:
+            six.moves.urllib.request.urlopen(url)
         self.assertEqual(404, cm.exception.code)
 
     def test_basic(self):
diff --git a/testing/mozbase/mozhttpd/tests/requestlog.py b/testing/mozbase/mozhttpd/tests/requestlog.py
index bf2c59ec3f..2ee0772113 100644
--- a/testing/mozbase/mozhttpd/tests/requestlog.py
+++ b/testing/mozbase/mozhttpd/tests/requestlog.py
@@ -3,7 +3,7 @@
 # You can obtain one at http://mozilla.org/MPL/2.0/.
 
 import mozhttpd
-import urllib2
+import six.moves.urllib.request, six.moves.urllib.error, six.moves.urllib.parse
 import os
 import unittest
 
@@ -16,8 +16,8 @@ class RequestLogTest(unittest.TestCase):
 
         httpd = mozhttpd.MozHttpd(port=0, docroot=here, log_requests=log_requests)
         httpd.start(block=False)
-        url = "http://%s:%s/" % ('127.0.0.1', httpd.httpd.server_port)
-        f = urllib2.urlopen(url)
+        url = "http://{}:{}/".format('127.0.0.1', httpd.httpd.server_port)
+        f = six.moves.urllib.request.urlopen(url)
         f.read()
 
         return httpd.request_log
diff --git a/testing/mozbase/mozinfo/mozinfo/__init__.py b/testing/mozbase/mozinfo/mozinfo/__init__.py
index 7d0483cb57..d02f9510e1 100644
--- a/testing/mozbase/mozinfo/mozinfo/__init__.py
+++ b/testing/mozbase/mozinfo/mozinfo/__init__.py
@@ -3,7 +3,6 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this file,
 # You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import absolute_import
 
 """
 interface to transform introspected system information to a format palatable to
diff --git a/testing/mozbase/mozinfo/mozinfo/mozinfo.py b/testing/mozbase/mozinfo/mozinfo/mozinfo.py
index 81a30307dd..bd767de198 100755
--- a/testing/mozbase/mozinfo/mozinfo/mozinfo.py
+++ b/testing/mozbase/mozinfo/mozinfo/mozinfo.py
@@ -8,7 +8,6 @@
 # linux) to the information; I certainly wouldn't want anyone parsing this
 # information and having behaviour depend on it
 
-from __future__ import absolute_import
 
 import os
 import platform
@@ -92,10 +91,16 @@ elif system.startswith('MINGW'):
     info['os'] = 'win'
     os_version = version = unknown
 elif system == "Linux":
-    if hasattr(platform, "linux_distribution"):
-        (distro, os_version, codename) = platform.linux_distribution()
-    else:
-        (distro, os_version, codename) = platform.dist()
+    try:
+        import distro as _distro_module
+        distro = _distro_module.name()
+        os_version = _distro_module.version()
+        codename = _distro_module.codename()
+    except ImportError:
+        if hasattr(platform, "linux_distribution"):
+            (distro, os_version, codename) = platform.linux_distribution()
+        else:
+            distro, os_version, codename = '', '', ''
     if not processor:
         processor = machine
     version = "%s %s" % (distro, os_version)
@@ -140,7 +145,7 @@ elif processor.upper() == "AMD64":
     processor = "x86_64"
 elif processor == "Power Macintosh":
     processor = "ppc"
-bits = re.search('(\d+)bit', bits).group(1)
+bits = re.search(r'(\d+)bit', bits).group(1)
 info.update({'processor': processor,
              'bits': int(bits),
              })
@@ -184,7 +189,7 @@ def update(new_info):
                      to a json file containing the new info.
     """
 
-    if isinstance(new_info, basestring):
+    if isinstance(new_info, str):
         # lazy import
         import mozfile
         import json
@@ -246,7 +251,7 @@ def output_to_file(path):
 update({})
 
 # exports
-__all__ = info.keys()
+__all__ = list(info.keys())
 __all__ += ['is' + os_name.title() for os_name in choices['os']]
 __all__ += [
     'info',
@@ -286,15 +291,15 @@ def main(args=None):
     flag = False
     for key, value in options.__dict__.items():
         if value is True:
-            print '%s choices: %s' % (key, ' '.join([str(choice)
-                                                     for choice in choices[key]]))
+            print('%s choices: %s' % (key, ' '.join([str(choice)
+                                                     for choice in choices[key]])))
             flag = True
     if flag:
         return
 
     # otherwise, print out all info
     for key, value in info.items():
-        print '%s: %s' % (key, value)
+        print('%s: %s' % (key, value))
 
 if __name__ == '__main__':
     main()
diff --git a/testing/mozbase/mozinfo/mozinfo/string_version.py b/testing/mozbase/mozinfo/mozinfo/string_version.py
index fd77fa566a..a554677cd4 100644
--- a/testing/mozbase/mozinfo/mozinfo/string_version.py
+++ b/testing/mozbase/mozinfo/mozinfo/string_version.py
@@ -2,16 +2,40 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this file,
 # You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from distutils.version import LooseVersion
-
-
+try:
+    from distutils.version import LooseVersion
+except ImportError:
+    import re as _re
+    class LooseVersion:
+        def __init__(self, vstring):
+            self.vstring = vstring
+            self.version = [int(x) if x.isdigit() else x for x in _re.split(r'[.\-]', vstring)]
+        def __str__(self): return self.vstring
+        def __repr__(self): return "LooseVersion ('%s')" % str(self)
+        def _cmp(self, other):
+            if not isinstance(other, LooseVersion): other = LooseVersion(other)
+            a, b = self.version, other.version
+            for i in range(max(len(a), len(b))):
+                va = a[i] if i < len(a) else 0
+                vb = b[i] if i < len(b) else 0
+                if type(va) != type(vb): va, vb = str(va), str(vb)
+                if va < vb: return -1
+                if va > vb: return 1
+            return 0
+        def __eq__(self, other): return self._cmp(other) == 0
+        def __lt__(self, other): return self._cmp(other) < 0
+        def __le__(self, other): return self._cmp(other) <= 0
+        def __gt__(self, other): return self._cmp(other) > 0
+        def __ge__(self, other): return self._cmp(other) >= 0
 class StringVersion(str):
     """
     A string version that can be compared with comparison operators.
     """
 
+    def __new__(cls, vstring):
+        return str.__new__(cls, vstring)
+
     def __init__(self, vstring):
-        str.__init__(self, vstring)
         self.version = LooseVersion(vstring)
 
     def __repr__(self):
diff --git a/testing/mozbase/mozinfo/tests/test.py b/testing/mozbase/mozinfo/tests/test.py
index b9457cff9d..af4662c460 100644
--- a/testing/mozbase/mozinfo/tests/test.py
+++ b/testing/mozbase/mozinfo/tests/test.py
@@ -5,7 +5,7 @@
 # You can obtain one at http://mozilla.org/MPL/2.0/.
 
 import json
-import mock
+from unittest import mock
 import os
 import shutil
 import sys
diff --git a/testing/mozbase/mozinstall/mozinstall/__init__.py b/testing/mozbase/mozinstall/mozinstall/__init__.py
index 5f96b7facd..09c6d10a3d 100644
--- a/testing/mozbase/mozinstall/mozinstall/__init__.py
+++ b/testing/mozbase/mozinstall/mozinstall/__init__.py
@@ -3,4 +3,4 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this file,
 # You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from mozinstall import *
+from .mozinstall import *
diff --git a/testing/mozbase/mozinstall/mozinstall/mozinstall.py b/testing/mozbase/mozinstall/mozinstall/mozinstall.py
index b4c6f95f74..69aead088f 100755
--- a/testing/mozbase/mozinstall/mozinstall/mozinstall.py
+++ b/testing/mozbase/mozinstall/mozinstall/mozinstall.py
@@ -2,6 +2,7 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this file,
 # You can obtain one at http://mozilla.org/MPL/2.0/.
 
+from __future__ import print_function
 from optparse import OptionParser
 import os
 import shutil
@@ -13,6 +14,7 @@ import zipfile
 
 import mozfile
 import mozinfo
+import six
 
 try:
     import pefile
@@ -134,9 +136,9 @@ def install(src, dest):
                     pass
         if issubclass(cls, Exception):
             error = InstallError('Failed to install "%s (%s)"' % (src, str(exc)))
-            raise InstallError, error, trbk
+            six.reraise(InstallError, error, trbk)
         # any other kind of exception like KeyboardInterrupt is just re-raised.
-        raise cls, exc, trbk
+        six.reraise(cls, exc, trbk)
 
     finally:
         # trbk won't get GC'ed due to circular reference
@@ -207,7 +209,7 @@ def uninstall(install_folder):
         if os.path.isfile(log_file):
             trbk = None
             try:
-                cmdArgs = ['%s\uninstall\helper.exe' % install_folder, '/S']
+                cmdArgs = ['%s\uninstall\\helper.exe' % install_folder, '/S']
                 result = subprocess.call(cmdArgs)
                 if result is not 0:
                     raise Exception('Execution of uninstaller failed.')
@@ -222,10 +224,10 @@ def uninstall(install_folder):
                     if time.time() > end_time:
                         raise Exception('Failure removing uninstall folder.')
 
-            except Exception, ex:
+            except Exception as ex:
                 cls, exc, trbk = sys.exc_info()
                 error = UninstallError('Failed to uninstall %s (%s)' % (install_folder, str(ex)))
-                raise UninstallError, error, trbk
+                six.reraise(UninstallError, error, trbk)
 
             finally:
                 # trbk won't get GC'ed due to circular reference
@@ -328,7 +330,7 @@ def install_cli(argv=sys.argv[1:]):
         install_path = install(src, options.dest)
         binary = get_binary(install_path, app_name=options.app)
 
-    print binary
+    print(binary)
 
 
 def uninstall_cli(argv=sys.argv[1:]):
diff --git a/testing/mozbase/mozinstall/setup.py b/testing/mozbase/mozinstall/setup.py
index 7759f0728e..8d5320183e 100644
--- a/testing/mozbase/mozinstall/setup.py
+++ b/testing/mozbase/mozinstall/setup.py
@@ -7,8 +7,8 @@ from setuptools import setup
 
 try:
     here = os.path.dirname(os.path.abspath(__file__))
-    description = file(os.path.join(here, 'README.md')).read()
-except IOError:
+    description = open(os.path.join(here, 'README.md')).read()
+except OSError:
     description = None
 
 PACKAGE_VERSION = '1.12'
diff --git a/testing/mozbase/mozleak/mozleak/leaklog.py b/testing/mozbase/mozleak/mozleak/leaklog.py
index 9688974d1c..ba1980d530 100644
--- a/testing/mozbase/mozleak/mozleak/leaklog.py
+++ b/testing/mozbase/mozleak/mozleak/leaklog.py
@@ -41,7 +41,7 @@ def process_single_leak_file(leakLogFileName, processType, leakThreshold,
     leakedObjectAnalysis = []
     leakedObjectNames = []
     recordLeakedObjects = False
-    with open(leakLogFileName, "r") as leaks:
+    with open(leakLogFileName) as leaks:
         for line in leaks:
             if line.find("purposefully crash") > -1:
                 crashedOnPurpose = True
diff --git a/testing/mozbase/mozlog/mozlog/commandline.py b/testing/mozbase/mozlog/mozlog/commandline.py
index 1077081548..d12d60aabb 100644
--- a/testing/mozbase/mozlog/mozlog/commandline.py
+++ b/testing/mozbase/mozlog/mozlog/commandline.py
@@ -121,7 +121,7 @@ def add_logging_group(parser, include_formatters=None):
                          "or '-' to write to stdout.")
 
     if include_formatters is None:
-        include_formatters = log_formatters.keys()
+        include_formatters = list(log_formatters.keys())
 
     if isinstance(parser, optparse.OptionParser):
         group = optparse.OptionGroup(parser,
@@ -136,16 +136,16 @@ def add_logging_group(parser, include_formatters=None):
         opt_log_type = log_file
         group_add = group.add_argument
 
-    for name, (cls, help_str) in log_formatters.iteritems():
+    for name, (cls, help_str) in log_formatters.items():
         if name in include_formatters:
             group_add("--log-" + name, action="append", type=opt_log_type,
                       help=help_str)
 
-    for optname, (cls, help_str, formatters_, action) in fmt_options.iteritems():
+    for optname, (cls, help_str, formatters_, action) in fmt_options.items():
         for fmt in formatters_:
             # make sure fmt is in log_formatters and is accepted
             if fmt in log_formatters and fmt in include_formatters:
-                group_add("--log-%s-%s" % (fmt, optname), action=action,
+                group_add("--log-{}-{}".format(fmt, optname), action=action,
                           help=help_str, default=None)
 
 
@@ -165,12 +165,12 @@ def setup_handlers(logger, formatters, formatter_options, allow_unused_options=F
                list(unused_options))
         raise ValueError(msg)
 
-    for fmt, streams in formatters.iteritems():
+    for fmt, streams in formatters.items():
         formatter_cls = log_formatters[fmt][0]
         formatter = formatter_cls()
         handler_wrappers_and_options = []
 
-        for option, value in formatter_options[fmt].iteritems():
+        for option, value in formatter_options[fmt].items():
             wrapper, wrapper_args = None, ()
             if option == "valgrind":
                 wrapper = valgrind_handler_wrapper
@@ -232,7 +232,7 @@ def setup_logging(logger, args, defaults=None, formatter_defaults=None,
         else:
             defaults = {"raw": sys.stdout}
 
-    for name, values in args.iteritems():
+    for name, values in args.items():
         parts = name.split('_')
         if len(parts) > 3:
             continue
@@ -246,7 +246,7 @@ def setup_logging(logger, args, defaults=None, formatter_defaults=None,
                 _, formatter = parts
                 for value in values:
                     found = True
-                    if isinstance(value, basestring):
+                    if isinstance(value, str):
                         value = log_file(value)
                     if value == sys.stdout:
                         found_stdout_logger = True
@@ -260,11 +260,11 @@ def setup_logging(logger, args, defaults=None, formatter_defaults=None,
 
     # If there is no user-specified logging, go with the default options
     if not found:
-        for name, value in defaults.iteritems():
+        for name, value in defaults.items():
             formatters[name].append(value)
 
-    elif not found_stdout_logger and sys.stdout in defaults.values():
-        for name, value in defaults.iteritems():
+    elif not found_stdout_logger and sys.stdout in list(defaults.values()):
+        for name, value in defaults.items():
             if value == sys.stdout:
                 formatters[name].append(value)
 
diff --git a/testing/mozbase/mozlog/mozlog/formatters/__init__.py b/testing/mozbase/mozlog/mozlog/formatters/__init__.py
index 5d37ecda81..0ab088a5a8 100644
--- a/testing/mozbase/mozlog/mozlog/formatters/__init__.py
+++ b/testing/mozbase/mozlog/mozlog/formatters/__init__.py
@@ -2,12 +2,12 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from unittest import UnittestFormatter
-from xunit import XUnitFormatter
-from html import HTMLFormatter
-from machformatter import MachFormatter
-from tbplformatter import TbplFormatter
-from errorsummary import ErrorSummaryFormatter
+from .unittest import UnittestFormatter
+from .xunit import XUnitFormatter
+from .html import HTMLFormatter
+from .machformatter import MachFormatter
+from .tbplformatter import TbplFormatter
+from .errorsummary import ErrorSummaryFormatter
 
 try:
     import ujson as json
diff --git a/testing/mozbase/mozlog/mozlog/formatters/errorsummary.py b/testing/mozbase/mozlog/mozlog/formatters/errorsummary.py
index 5e0e844743..5040995fac 100644
--- a/testing/mozbase/mozlog/mozlog/formatters/errorsummary.py
+++ b/testing/mozbase/mozlog/mozlog/formatters/errorsummary.py
@@ -4,7 +4,7 @@
 
 import json
 
-from base import BaseFormatter
+from .base import BaseFormatter
 
 
 class ErrorSummaryFormatter(BaseFormatter):
diff --git a/testing/mozbase/mozlog/mozlog/formatters/html/__init__.py b/testing/mozbase/mozlog/mozlog/formatters/html/__init__.py
index e607ecb87e..0926e46312 100644
--- a/testing/mozbase/mozlog/mozlog/formatters/html/__init__.py
+++ b/testing/mozbase/mozlog/mozlog/formatters/html/__init__.py
@@ -1,3 +1,3 @@
-from html import HTMLFormatter
+from .html import HTMLFormatter
 
 __all__ = ['HTMLFormatter']
diff --git a/testing/mozbase/mozlog/mozlog/formatters/html/html.py b/testing/mozbase/mozlog/mozlog/formatters/html/html.py
index 0ec244aa6a..c176f2672a 100755
--- a/testing/mozbase/mozlog/mozlog/formatters/html/html.py
+++ b/testing/mozbase/mozlog/mozlog/formatters/html/html.py
@@ -4,7 +4,7 @@
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
 import base64
-import cgi
+import html as _html_escape_module
 from datetime import datetime
 import os
 
@@ -158,7 +158,7 @@ class HTMLFormatter(base.BaseFormatter):
                     # Encode base64 to avoid that some browsers (such as Firefox, Opera)
                     # treats '#' as the start of another link if it is contained in the data URL.
                     # Use 'charset=utf-8' to show special characters like Chinese.
-                    utf_encoded = unicode(content).encode('utf-8', 'xmlcharrefreplace')
+                    utf_encoded = str(content).encode('utf-8', 'xmlcharrefreplace')
                     href = 'data:text/html;charset=utf-8;base64,%s' % base64.b64encode(utf_encoded)
 
                 links_html.append(html.a(
@@ -177,9 +177,9 @@ class HTMLFormatter(base.BaseFormatter):
                     log.append(line[:80])
                 else:
                     if line.lower().find("error") != -1 or line.lower().find("exception") != -1:
-                        log.append(html.span(raw(cgi.escape(line)), class_='error'))
+                        log.append(html.span(raw(_html_escape_module.escape(line)), class_='error'))
                     else:
-                        log.append(raw(cgi.escape(line)))
+                        log.append(raw(_html_escape_module.escape(line)))
                 log.append(html.br())
             additional_html.append(log)
 
@@ -198,7 +198,7 @@ class HTMLFormatter(base.BaseFormatter):
                 self.head,
                 html.body(
                     html.script(raw(main_f.read())),
-                    html.p('Report generated on %s at %s' % (
+                    html.p('Report generated on {} at {}'.format(
                         generated.strftime('%d-%b-%Y'),
                         generated.strftime('%H:%M:%S'))),
                     html.h2('Environment'),
@@ -208,7 +208,7 @@ class HTMLFormatter(base.BaseFormatter):
                         id='environment'),
 
                     html.h2('Summary'),
-                    html.p('%i tests ran in %.1f seconds.' % (sum(self.test_count.itervalues()),
+                    html.p('%i tests ran in %.1f seconds.' % (sum(self.test_count.values()),
                                                               (self.suite_times["end"] -
                                                                self.suite_times["start"]) / 1000.),
                            html.br(),
@@ -233,4 +233,4 @@ class HTMLFormatter(base.BaseFormatter):
                         html.tbody(self.result_rows,
                                    id='results-table-body')], id='results-table')))
 
-        return u"<!DOCTYPE html>\n" + doc.unicode(indent=2)
+        return "<!DOCTYPE html>\n" + doc.str(indent=2)
